# Interface CreateDependencies

Dependency injection for OpenIdConnectClient.create

interface CreateDependencies {
fetch: typeof fetch;
openIdConnectProviderMetadataFetcher: OpenIdConnectProviderMetadataFetcher;
sessionStorage: Storage;
}

##### Index

### Properties

fetch
openIdConnectProviderMetadataFetcher
sessionStorage

## Properties

### `Readonly` fetch

fetch: typeof fetch

### `Readonly` openIdConnectProviderMetadataFetcher

openIdConnectProviderMetadataFetcher: OpenIdConnectProviderMetadataFetcher

### `Readonly` sessionStorage

sessionStorage: Storage